Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1473197 - glusterfs should own its directories
Summary: glusterfs should own its directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glusterfs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-20 08:25 UTC by Yanko Kaneti
Modified: 2017-08-04 00:56 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.10.4-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-04 00:56:54 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1470768 0 unspecified CLOSED file /usr/lib64/glusterfs/3.12dev/xlator is not owned by any package 2021-02-22 00:41:40 UTC

Internal Links: 1470768

Description Yanko Kaneti 2017-07-20 08:25:53 UTC
Description of problem:
$ rpm -qa | grep ^gluster
glusterfs-client-xlators-3.11.1-2.fc27.x86_64
glusterfs-fuse-3.11.1-2.fc27.x86_64
glusterfs-cli-3.11.1-2.fc27.x86_64
glusterfs-3.11.1-2.fc27.x86_64
glusterfs-libs-3.11.1-2.fc27.x86_64
glusterfs-api-3.11.1-2.fc27.x86_64

$ find /usr/lib64/glusterfs/3.11.1 | xargs rpm -qf  | grep 'not owned'
file /usr/lib64/glusterfs/3.11.1 is not owned by any package
file /usr/lib64/glusterfs/3.11.1/xlator is not owned by any package
file /usr/lib64/glusterfs/3.11.1/xlator/protocol is not owned by any package
file /usr/lib64/glusterfs/3.11.1/xlator/features is not owned by any package
file /usr/lib64/glusterfs/3.11.1/xlator/mount is not owned by any package
file /usr/lib64/glusterfs/3.11.1/xlator/performance is not owned by any package
file /usr/lib64/glusterfs/3.11.1/xlator/cluster is not owned by any package
file /usr/lib64/glusterfs/3.11.1/xlator/system is not owned by any package
file /usr/lib64/glusterfs/3.11.1/xlator/encryption is not owned by any package

$ rpm -qf /usr/lib64/glusterfs
file /usr/lib64/glusterfs is not owned by any package

$ rpm -qf /usr/share/glusterfs
file /usr/share/glusterfs is not owned by any package

Comment 1 Fedora Update System 2017-07-26 18:36:09 UTC
glusterfs-3.10.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2936bef812

Comment 2 Fedora Update System 2017-07-27 13:17:02 UTC
glusterfs-3.10.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5dd799cd50

Comment 3 Fedora Update System 2017-07-27 15:17:48 UTC
glusterfs-3.8.14-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-050476bdf4

Comment 4 Fedora Update System 2017-07-28 01:52:20 UTC
glusterfs-3.10.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2936bef812

Comment 5 Fedora Update System 2017-07-28 17:21:19 UTC
glusterfs-3.10.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-07-28 22:19:15 UTC
glusterfs-3.10.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5dd799cd50

Comment 7 Fedora Update System 2017-07-29 02:51:17 UTC
glusterfs-3.8.14-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-050476bdf4

Comment 8 Fedora Update System 2017-08-01 21:55:58 UTC
glusterfs-3.10.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.